Module ij
Package ij.plugin

# Class Straightener

java.lang.Object
ij.plugin.Straightener

All Implemented Interfaces:
  `PlugIn`

public class Straightener extends Object implements PlugIn
This plugin implements the Edit/Selection/Straighten command.

## Constructor Summary

Constructors
Constructor
Description
`Straightener()`

## Method Summary

Modifier and Type
Method
Description
`ImageProcessor`
`rotateLine(ImagePlus imp, int width)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`ImageProcessor`
`straighten(ImagePlus imp, Roi roi, int width)`
`ImageProcessor`
`straightenLine(ImagePlus imp, int width)`
`ImageProcessor`
`straightenLine(ImagePlus imp, Line line, int width)`
`ImageStack`
`straightenStack(ImagePlus imp, Roi roi, int width)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Straightener

public Straightener()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### straighten

public ImageProcessor straighten(ImagePlus imp, Roi roi, int width)

### straightenStack

public ImageStack straightenStack(ImagePlus imp, Roi roi, int width)

### straightenLine

public ImageProcessor straightenLine(ImagePlus imp, int width)

### straightenLine

public ImageProcessor straightenLine(ImagePlus imp, Line line, int width)

### rotateLine

public ImageProcessor rotateLine(ImagePlus imp, int width)